XSURF(4)

NAME
xsurf - Individual Computers X-Surf driver

SYNOPSIS
xsurf* at zbus0
ne* at xsurfbus?
gencp* at xsurfbus?
wdc* at xsurfbus?

DESCRIPTION
The xsurf driver provides support for ethernet, IDE controller and clockports present on the Individual Computers X-Surf card.

HARDWARE
The xsurf driver supports the following hardware:

Individual Computers X-Surf

E3B Deneb (fake X-Surf board, firmware v11, clockport only)

SEE ALSO
clockport(4), ne(4), wdc(4)

HISTORY
The xsurf device first appeared in NetBSD 7.0.

AUTHORS
-nosplit The xsurf driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>. The ne(4) attachment code was split from Ariadne II driver, written by Bernd Ernesti and extended by Ignatios Souvatzis. IDE controller support was added by Radoslaw Kujawa and Frank Wille.

CAVEATS
Support for clockports remains largely untested.

BUGS
The X-Surf IDE controller timings are not configurable and are known to be incompatible with many hard disks (especially on the early X-Surf revisions). This is purely a hardware problem.